The average token price during the specified time period for the native asset of that chain.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/token-price-usd \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/token-price-usd?project=ethereum"
{ "ethereum": [ { "date": "2026-02-19", "value": 1953.1486111111114 }, { "date": "2026-02-18", "value": 1981.4914583333325 }, { "date": "2026-02-17", "value": 1984.5976041666675 }, { "date": "2026-02-16", "value": 1974.5226041666658 }, { "date": "2026-02-15", "value": 2029.3895486111112 } ] }
Project slug (comma-separated for multiple).
arbitrum
ethereum
fogo
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK